using UnityEngine;
using BackEnd;

public class FunctionCallSample : MonoBehaviour
{
	private void Awake()
	{
		string ID = "user01";
		string PW = "1234";

		// 
		var bro = Backend.BMember.CustomLogin(ID, PW);
		// αο   ó
		if ( bro.IsSuccess() )
		{
		}
		// αο   ó
		else
		{
			// statusCode       ִ.
			int statusCode = int.Parse(bro.GetStatusCode());
		}

		// 񵿱 - ݹ Ǯ Լ
		//  ť  ݹ Լ Ϸ AsnycPoll() ޼ҵ ȣ ʿϴ.
		// https://developer.thebackend.io/unity3d/guide/Async/AsyncFuncPoll/
		Backend.BMember.CustomLogin(ID, PW, callback =>
		{
			// αο  
			if ( callback.IsSuccess() )
			{
			}
			// αο  
			else
			{
				// statusCode       ִ.
				int statusCode = int.Parse(callback.GetStatusCode());
			}
		});

		// SendQueue
		// SendQueue Enqueue() ȣ ޼ҵ带 ϰ   ó ʿϴ.
		// https://developer.thebackend.io/unity3d/guide/Async/SendQueueDetail/
		SendQueue.Enqueue(Backend.BMember.CustomLogin, ID, PW, callback =>
		{
			// αο  
			if ( callback.IsSuccess() )
			{
			}
			// αο  
			else
			{
				// statusCode       ִ.
				int statusCode = int.Parse(callback.GetStatusCode());
			}
		});
	}
}

